Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::SetBasedFieldSelector Class Reference

Declare what fields to load normally and what fields to load lazily. More...

`#include <SetBasedFieldSelector.h>`

Inheritance diagram for Lucene::SetBasedFieldSelector:

## Public Member Functions

| SetBasedFieldSelector (HashSet< String > fieldsToLoad, HashSet< String > lazyFieldsToLoad)
| Pass in the Set of Field names to load and the Set of Field names to load lazily. If both are null, the Document will not have any Field on it. More...
virtual | ~SetBasedFieldSelector ()
virtual String | getClassName ()
boost::shared_ptr < SetBasedFieldSelector > | shared_from_this ()
virtual FieldSelectorResult | accept (const String &fieldName)
| Indicate whether to load the field with the given name or not. If the Field#name() is not in either of the initializing Sets, then FieldSelectorResult#NO_LOAD is returned. If a Field name is in both fieldsToLoad and lazyFieldsToLoad, lazy has precedence. More...
Public Member Functions inherited from Lucene::FieldSelector
virtual | ~FieldSelector ()
boost::shared_ptr< FieldSelector > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::FieldSelector
static String | _getClassName ()

## Protected Attributes

HashSet< String > | fieldsToLoad
HashSet< String > | lazyFieldsToLoad

## Additional Inherited Members

Public Types inherited from Lucene::FieldSelector
enum | FieldSelectorResult { SELECTOR_NULL, SELECTOR_LOAD, SELECTOR_LAZY_LOAD, SELECTOR_NO_LOAD, SELECTOR_LOAD_AND_BREAK, SELECTOR_SIZE, SELECTOR_SIZE_AND_BREAK }
| Provides information about what should be done with this Field. More...
Protected Member Functions inherited from Lucene::FieldSelector
| FieldSelector ()

## Detailed Description

Declare what fields to load normally and what fields to load lazily.

## Constructor & Destructor Documentation

Lucene::SetBasedFieldSelector::SetBasedFieldSelector | ( | HashSet< String > | fieldsToLoad,
|  | HashSet< String > | lazyFieldsToLoad
| ) |  |

Pass in the Set of Field names to load and the Set of Field names to load lazily. If both are null, the Document will not have any Field on it.

Parameters

  fieldsToLoad | A Set of String field names to load. May be empty, but not null
  lazyFieldsToLoad | A Set of String field names to load lazily. May be empty, but not null

virtual Lucene::SetBasedFieldSelector::~SetBasedFieldSelector | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::SetBasedFieldSelector::_getClassName | ( | ) |  |

inline static

virtual FieldSelectorResult Lucene::SetBasedFieldSelector::accept | ( | const String & | fieldName) |  |

virtual

Indicate whether to load the field with the given name or not. If the Field#name() is not in either of the initializing Sets, then FieldSelectorResult#NO_LOAD is returned. If a Field name is in both fieldsToLoad and lazyFieldsToLoad, lazy has precedence.

Parameters

  fieldName | The Field name to check

Returns
  The FieldSelectorResult

Implements Lucene::FieldSelector.

virtual String Lucene::SetBasedFieldSelector::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::FieldSelector.

boost::shared_ptr< SetBasedFieldSelector > Lucene::SetBasedFieldSelector::shared_from_this | ( | ) |  |

inline

## Field Documentation

HashSet<String> Lucene::SetBasedFieldSelector::fieldsToLoad

protected

HashSet<String> Lucene::SetBasedFieldSelector::lazyFieldsToLoad

protected

The documentation for this class was generated from the following file:

- SetBasedFieldSelector.h

clucene.sourceforge.net